<template>
  <div class="state-chat-container">
    <span v-if="false">{{ t('tabs.message.chatCard.edited') }}</span>
    <span v-if="formmatedDate.isYesterday">
      {{ t('tabs.contacts.yesterday') }}&nbsp;{{ formmatedDate.value }}</span
    >
    <span v-else> {{ formmatedDate }}</span>
    <div v-if="itsMe">
      <IonIcon
        :icon="checkmarkDone"
        color="primary"
        v-if="status == 'seen'"
      ></IonIcon>
      <IonIcon
        :icon="checkmark"
        color="primary"
        v-if="status == 'sent'"
      ></IonIcon>
      <IonIcon
        icon="/Images/tabs/messages/pre-send.svg"
        v-if="status == 'sending'"
        color="black"
      ></IonIcon>
    </div>
  </div>
</template>

<script setup>
import { defineProps, computed } from 'vue';
import { checkmark, checkmarkDone } from 'ionicons/icons';
import { useI18n } from 'vue-i18n';
import { IonIcon } from '@ionic/vue';
import { dateFormatterHandler } from '@/helpers/dateAndTimeFormatter.js';
import { useLocaleStore } from '@/store/locale.js';

const { t } = useI18n();
const props = defineProps({
  status: {
    type: String,
    default: 'sending',
  },
  itsMe: {
    type: Boolean,
    default: false,
  },
  date: {
    type: String,
  },
});
const formmatedDate = computed(() => {
  const localeStore = useLocaleStore();
  const localeFormat = localeStore.getLocaleFormat;
  let dateString = props.date;
  if (dateString.toString().includes('UTC')) {
    const parts = dateString.split(' ');
    const datePart = parts[0];
    const timePart = parts[1].substring(0, 8);
    const fullDateString = `${datePart}T${timePart}Z`;
    // Create a Date object using the combined date string
    dateString = new Date(fullDateString).toString();
  }
  return dateFormatterHandler(dateString, localeFormat, {
    isFromMessages: true,
    isFromCallHistory: false,
  });
});
</script>

<style scoped>
/* Content Part End */
.state-chat-container {
  font-size: 8px;
  color: var(--card-time-color);
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 2px;
}
.state-chat-container-in-image {
  background-color: var(--card-time-color);
  color: var(--card-time-color-in-image);
  border-radius: 5px;
  padding: 1px 4px;
  position: absolute;
  bottom: 5px;
  right: 5px;
}

ion-icon {
  height: 12px;
  width: 12px;
}
</style>
